Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Class PortletWindow.State

    java.lang.Object
      |
      +--org.apache.jetspeed.portlet.PortletWindow.State

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  PortletWindow

public static class PortletWindow.State
extends java.lang.Object
implements java.io.Serializable

The `State` class is a finite enumeration of the possible states that a window can assume.

See Also:
  Serialized Form

Field Summary
`static PortletWindow.State` | `CLOSED` The window is or will be closed and thus is not shown on the portal page anymore.
`static PortletWindow.State` | `DETACHED` Allows the portlet window to be detached of the normal content view of the portal and thus be shown in a separate window.
`static PortletWindow.State` | `MAXIMIZED` In this window state the portlet is displayed maximized which means that it is the only portlet shown on the page.
`static PortletWindow.State` | `MINIMIZED` In this window state the portlet is displayed minimzed which means that only the portlet title is shown
`static PortletWindow.State` | `MOVING` Allows the portlet window to be moved
`static PortletWindow.State` | `NORMAL` The standard "one-of many" window state on a page.
`static PortletWindow.State` | `RESIZING` Allows the portlet window to be resized

Method Summary
`int` | `getId()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NORMAL

    public static final PortletWindow.State NORMAL

  The standard "one-of many" window state on a page.

### MAXIMIZED

    public static final PortletWindow.State MAXIMIZED

  In this window state the portlet is displayed maximized which means that it is the only portlet shown on the page.

### MINIMIZED

    public static final PortletWindow.State MINIMIZED

  In this window state the portlet is displayed minimzed which means that only the portlet title is shown

### DETACHED

    public static final PortletWindow.State DETACHED

  Allows the portlet window to be detached of the normal content view of the portal and thus be shown in a separate window.

### MOVING

    public static final PortletWindow.State MOVING

  Allows the portlet window to be moved

### RESIZING

    public static final PortletWindow.State RESIZING

  Allows the portlet window to be resized

### CLOSED

    public static final PortletWindow.State CLOSED

  The window is or will be closed and thus is not shown on the portal page anymore.

Method Detail

### getId

    public int getId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.